## terraphast 0.0+git20200413.8af2e4c

=== debian/changelog ===
terraphast (0.0+git20200413.8af2e4c-2) unstable; urgency=medium

  * Packaging update

 -- Andreas Tille <tille@debian.org>  Wed, 16 Feb 2022 13:57:33 +0100

terraphast (0.0+git20200413.8af2e4c-1) unstable; urgency=medium

  * Initial release (Closes: #1004148)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jan 2022 19:18:40 +0100
