=== debian/control ===
Source: terraphast
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               d-shlibs,
               dh-exec,
               libgmp3-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/terraphast
Vcs-Git: https://salsa.debian.org/med-team/terraphast.git
Homepage: https://github.com/amkozlov/terraphast-one
Rules-Requires-Root: no

Package: terraphast
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libterraces0 (= ${binary:Version})
Description: enumerate terraces in phylogenetic tree space
 Terraphast takes a .nkw file in Newick format and a genes/sites file,
 which denotes whether (1) or not (0) gene i is present in species j.
 .
 Program output states some imput data properties, the species whose leaf
 edge is used as a new tree root, and the resulting supertree in
 compressed newick format.

Package: libterraces0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: enumerate terraces in phylogenetic tree space (shared lib)
 Terraphast takes a .nkw file in Newick format and a genes/sites file,
 which denotes whether (1) or not (0) gene i is present in species j.
 .
 Program output states some imput data properties, the species whose leaf
 edge is used as a new tree root, and the resulting supertree in
 compressed newick format.
 .
 This package contains the shared library.

Package: libterraces-dev
Architecture: any
Section: libdevel
Depends: libterraces0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: enumerate terraces in phylogenetic tree space (development lib)
 Terraphast takes a .nkw file in Newick format and a genes/sites file,
 which denotes whether (1) or not (0) gene i is present in species j.
 .
 Program output states some imput data properties, the species whose leaf
 edge is used as a new tree root, and the resulting supertree in
 compressed newick format.
 .
 This package contains a library to use the terraphast algorithm in own
 projects.
