=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

include /usr/share/dpkg/default.mk

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

#Set VERSION and SOVERSION
VERSION=0.0
SOVERSION=0

BUILDDIR:=obj-$(DEB_HOST_GNU_TYPE)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DVERSION="$(VERSION)" \
		-DSOVERSION="$(SOVERSION)"

override_dh_install:
	mkdir -p debian/$(DEB_SOURCE)/usr/bin
	mv $(BUILDDIR)/app debian/$(DEB_SOURCE)/usr/bin/$(DEB_SOURCE)
	mv $(BUILDDIR)/libterraces_static.a $(BUILDDIR)/libterraces.a
	mv $(BUILDDIR)/libterraces_c_static.a $(BUILDDIR)/libterraces_c.a
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --override s/libgmpxx4-dev/libgmpxx4ldbl/ \
		    --movedev include usr \
		    $(BUILDDIR)/libterraces.so
	dh_install
