## terraphast 0.0+git20200413.8af2e4c+dfsg

=== debian/changelog ===
terraphast (0.0+git20200413.8af2e4c+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Komolehin Israel Timilehin ]
  * Added autopkgtest

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Make sure include dir in source tree will not be deleted
    Closes: #1049550

 -- Komolehin Israel Timilehin <komolehinisrael@gmail.com>  Tue, 30 Jan 2024 09:14:48 +0100

terraphast (0.0+git20200413.8af2e4c+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Disallow lto (Closes: #1015687)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Dec 2022 11:38:43 +0530

terraphast (0.0+git20200413.8af2e4c+dfsg-1) unstable; urgency=medium

  * Remove code copy of catch
    Closes: #1013269

 -- Andreas Tille <tille@debian.org>  Mon, 25 Jul 2022 15:18:53 +0200

terraphast (0.0+git20200413.8af2e4c-3) unstable; urgency=medium

  * Team upload.
  * d/rules: avoid using march=native
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 06 Jul 2022 12:13:17 +0530
