=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
                cmake,
                d-shlibs,
                dh-exec,
+               catch,
                libgmp3-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/terraphast
 Vcs-Git: https://salsa.debian.org/med-team/terraphast.git
 Homepage: https://github.com/amkozlov/terraphast-one
