=== debian/tests/control ===
Tests: run-unit-test
Depends: wget, terraphast
Restrictions: needs-internet, allow-stderr
