## terraphast 0.1.0%2Bdfsg

=== debian/watch ===
Version: 5

Template: Github
Owner: amkozlov
Project: terraphast-one
Repack-Suffix: +dfsg
Dversion-Mangle: auto
