## terraphast 0.1.0+dfsg

=== debian/changelog ===
terraphast (0.1.0+dfsg-1) unstable; urgency=medium

  * Fix build with CMake 4
    Closes: #1113569
  * d/watch: version=5 (now based on release tag)
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Provide test data as examples and do not require autopkgtest
    accessing internet

 -- Andreas Tille <tille@debian.org>  Mon, 20 Oct 2025 14:16:38 +0200
