=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: terraphast
+Standards-Version: 4.7.2
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders:
+ Andreas Tille <tille@debian.org>,
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               cmake,
-               d-shlibs,
-               dh-exec,
-               catch,
-               libgmp3-dev
-Standards-Version: 4.6.2
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ d-shlibs,
+ dh-exec,
+ catch,
+ libgmp3-dev,
 Vcs-Browser: https://salsa.debian.org/med-team/terraphast
 Vcs-Git: https://salsa.debian.org/med-team/terraphast.git
 Homepage: https://github.com/amkozlov/terraphast-one
@@ -18,9 +20,10 @@
 Package: terraphast
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libterraces0 (= ${binary:Version})
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ libterraces0 (= ${binary:Version}),
 Description: enumerate terraces in phylogenetic tree space
  Terraphast takes a .nkw file in Newick format and a genes/sites file,
  which denotes whether (1) or not (0) gene i is present in species j.
@@ -32,8 +35,9 @@
 Package: libterraces0
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Description: enumerate terraces in phylogenetic tree space (shared lib)
  Terraphast takes a .nkw file in Newick format and a genes/sites file,
  which denotes whether (1) or not (0) gene i is present in species j.
@@ -47,9 +51,10 @@
 Package: libterraces-dev
 Architecture: any
 Section: libdevel
-Depends: libterraces0 (= ${binary:Version}),
-         ${shlibs:Depends},
-         ${misc:Depends}
+Depends:
+ libterraces0 (= ${binary:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends},
 Description: enumerate terraces in phylogenetic tree space (development lib)
  Terraphast takes a .nkw file in Newick format and a genes/sites file,
  which denotes whether (1) or not (0) gene i is present in species j.
