=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,8 @@
 	dh_auto_configure -- \
 		-DVERSION="$(VERSION)" \
 		-DSOVERSION="$(SOVERSION)" \
-		-DTERRAPHAST_ARCH_NATIVE=OFF
+		-DTERRAPHAST_ARCH_NATIVE=OFF \
+		-DCMAKE_POLICY_VERSION_MINIMUM=3.5
 
 override_dh_install:
 	mkdir -p debian/$(DEB_SOURCE)/usr/bin
